Bug 396741 - Review Request: powerpc-utils-papr - Utilities for PAPR platforms
Review Request: powerpc-utils-papr - Utilities for PAPR platforms
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Josh Boyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-23 08:34 EST by David Woodhouse
Modified: 2008-10-11 10:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-11 10:39:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jwboyer: fedora‑review+
jwboyer: fedora‑cvs+


Attachments (Terms of Use)
Pass CFLAGS on link (1.42 KB, patch)
2007-11-27 15:32 EST, Josh Boyer
no flags Details | Diff

  None (edit)
Description David Woodhouse 2007-11-23 08:34:40 EST
Spec URL: http://david.woodhou.se/ppc64-utils/powerpc-utils-papr.spec
SRPM URL: http://david.woodhou.se/ppc64-utils/powerpc-utils-papr-1.0.4-1.fc9.src.rpm
Description: Utilities for IBM PowerPC PAPR platforms

We used to ship this as part of the ppc64-utils package. That package should die, because it's a mess.
Comment 1 Jason Tibbitts 2007-11-23 15:27:38 EST
A koji scratch build failed:
http://koji.fedoraproject.org/koji/taskinfo?taskID=255714

make 'CFLAGS=-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic' -j2
Building cmds files...
CC cmds/activate_fw.o
activate_fw.c:35:21: error: librtas.h: No such file or directory

Comment 3 Josh Boyer 2007-11-27 15:32:57 EST
Created attachment 270181 [details]
Pass CFLAGS on link

Without the attached patch I get the following error when building for ppc64:

CC cmds/sys_ident.o
LD cmds/activate_firmware
/usr/bin/ld: powerpc:common64 architecture of input file `activate_fw.o' is
incompatible with powerpc:common output
activate_fw.o: In function `main':
/home/jwboyer/rpm/BUILD/powerpc-utils-papr-1.0.4/cmds/activate_fw.c:52:
relocation truncated to fit: R_PPC64_REL24 against `rtas_activate_firmware'
collect2: ld returned 1 exit status
make[1]: *** [activate_firmware] Error 1
make[1]: *** Waiting for unfinished jobs....
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.22169 (%build)
Comment 4 Josh Boyer 2007-11-27 16:13:25 EST
Ignore the above comment.  It builds fine for me in mock.
Comment 5 Josh Boyer 2007-11-27 16:50:10 EST
 - Package meets naming and packaging guidelines
 - Spec file matches base package name.
 - Spec has consistant macro usage.
 - Meets Packaging Guidelines.
 - License
 - License field in spec matches
 - License file included in package
 - Spec in American English
 - Spec is legible.
 - Sources match upstream md5sum: 1472a4b2c6929a5bfe0d29ff30e8b559

 - Package needs ExcludeArch
 - BuildRequires correct
 - Package has %defattr and permissions on files is good.
 - Package has a correct %clean section.
 - Package has correct buildroot
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 - Package is code or permissible content.
 - Packages %doc files don't affect runtime.

 - Package compiles and builds on at least one arch.
 - Package has no duplicate files in %files.
 - Package doesn't own any directories other packages own.
 - Package owns all the directories it creates.
 - No rpmlint output.

SHOULD Items:

 - Should build in mock.
 - Should build on all supported archs
 - Should function as described.
 - Should have sane scriptlets.
 - Should have subpackages require base package with fully versioned depend.
 - Should have dist tag
 - Should package latest version

One minor issue:

The URL for the package is actually http://powerpc-utils.ozlabs.org/releases/
not http://powerpc-utils-papr.ozlabs.org/releases/

I'll assum the minor issue above will be fixed before the package is committed.

Approved.
Comment 6 David Woodhouse 2007-11-27 17:02:28 EST
New Package CVS Request
=======================
Package Name: powerpc-utils-papr
Short Description: Utilities for PAPR platforms
Owners: dwmw2
Branches: F-8
Cvsextras Commits: yes
Comment 7 Brian Pepple 2008-05-25 16:54:51 EDT
David, has this package been built?  If so, this bug can be closed.
Comment 8 Peter Robinson 2008-10-11 10:39:27 EDT
Closing - in rawhide

Note You need to log in before you can comment on or make changes to this bug.